function [v,YY]=ajuste_impedancia_floor(f,Y,n)

 
R0=10*median(1./real(Y));
C0=median(imag(Y)./(2*pi.*f));

x=[1*C0 1*R0];
 
global scale
O_C0=floor(log10(C0));
O_R0=floor(log10(R0));

scale=10.^-[O_C0 O_R0];
 
options=optimset(...
                 'TolFun',0,'TolX',0,...
                 'MaxFunEvals',200000,'MaxIter',n,...
                 'Display','off');
[xx,RESNORM,RESIDUAL,EXITFLAG,OUTPUT]=lsqcurvefit(@admitancia_piezo_floor,x.*scale,f,[real(Y); imag(Y)],[],[],options);

YY=admitancia_piezo_floor(xx,f);
YY=YY(1,:)+1i.*YY(2,:);
xx=xx./scale;
  

disp(['R0 = ' num2str(xx(2)/1e3) ' kohm']);
% disp(['C0 = ' num2str(xx(1)*1e15) ' fF']);
 
v=[xx];
 
end
 

